%global ppp_ver %(rpm -q --queryformat "%{VERSION}" ppp)

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_without gtk4

Summary:	NetworkManager VPN integration for PPTP
Name:		networkmanager-pptp
Epoch:		1
Version:	1.2.12
Release:	%mkrel 1
License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/NetworkManager
Group:		System/Base
Source0:	https://download.gnome.org/sources/NetworkManager-pptp/%{url_ver}/NetworkManager-pptp-%version.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnma)
%if %with gtk4
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libnma-gtk4)
%endif
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:  libtool
BuildRequires:	intltool
BuildRequires:  gnome-common
BuildRequires:	ppp-devel
Requires:	networkmanager
Requires:	pptp-linux
Requires:	ppp = %{ppp_ver}

%description
This package contains software for integrating the PPTP VPN
with NetworkManager and the GNOME desktop.

%prep
%autosetup -p1 -n NetworkManager-pptp-%{version}

%build
%configure \
	--disable-static \
	--with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_ver} \
%if %with gtk4
	--with-gtk4
%else
	--without-gtk4
%endif

%make_build

%install
%make_install

%find_lang NetworkManager-pptp

%check
make check

%files -f NetworkManager-pptp.lang
%doc AUTHORS README
%{_libdir}/NetworkManager/libnm-vpn-plugin-pptp.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-pptp-editor.so
%{_libdir}/pppd/%{ppp_ver}/nm-pptp-pppd-plugin.so
%{_libexecdir}/nm-pptp-auth-dialog
%{_libexecdir}/nm-pptp-service
%{_datadir}/dbus-1/system.d/nm-pptp-service.conf
%{_metainfodir}/network-manager-pptp.metainfo.xml
%{_prefix}/lib/NetworkManager/VPN/nm-pptp-service.name
%if %with gtk4
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-pptp-editor.so
%endif


%changelog
* Mon Jan 06 2025 wally <wally> 1:1.2.12-1.mga10
+ Revision: 2135699
- new version 1.2.12
- rebuild for ppp 2.5.2

* Wed Nov 02 2022 ghibo <ghibo> 1:1.2.10-3.mga9
+ Revision: 1901702
- Fix building by passing custom ldflag.
- Use gnome-autogen.sh.
- Adjust files list.
- Add conditional support for gtk4.
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- new version 1.2.10

* Sun Aug 15 2021 wally <wally> 1:1.2.8-7.mga9
+ Revision: 1741501
- rebuild for arm

* Sun Jul 18 2021 wally <wally> 1:1.2.8-6.mga9
+ Revision: 1736824
- Rebuild for ppp 2.4.9

* Fri Sep 25 2020 martinw <martinw> 1:1.2.8-5.mga8
+ Revision: 1629936
- rebuild for new ppp

* Sat Feb 15 2020 umeabot <umeabot> 1:1.2.8-4.mga8
+ Revision: 1527992
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 02 2019 wally <wally> 1:1.2.8-3.mga8
+ Revision: 1426939
- build without legacy libnm-glib

* Mon Mar 11 2019 wally <wally> 1:1.2.8-2.mga7
+ Revision: 1374260
- clean unneeded (build)requires

* Thu Oct 04 2018 ovitters <ovitters> 1:1.2.8-1.mga7
+ Revision: 1317350
- new version 1.2.8

* Sun Sep 23 2018 umeabot <umeabot> 1:1.2.6-4.mga7
+ Revision: 1299727
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 wally <wally> 1:1.2.6-3.mga7
+ Revision: 1242320
- add patch to fix linking

* Sun Jul 01 2018 guillomovitch <guillomovitch> 1:1.2.6-2.mga7
+ Revision: 1241162
- rebuild for latest networkmanager
+ ovitters <ovitters>
- new version 1.2.6

* Tue Oct 03 2017 wally <wally> 1:1.2.4-2.mga7
+ Revision: 1167981
- rebuild for new ppp
- add strict version requires for ppp

* Mon Oct 03 2016 ovitters <ovitters> 1:1.2.4-1.mga6
+ Revision: 1058287
- new version 1.2.4

* Thu May 26 2016 ovitters <ovitters> 1:1.2.2-1.mga6
+ Revision: 1018685
- new version 1.2.2

* Thu Apr 21 2016 ovitters <ovitters> 1:1.2.0-1.mga6
+ Revision: 1003914
- new version 1.2.0

* Wed Apr 06 2016 ovitters <ovitters> 1:1.1.93-1.mga6
+ Revision: 998913
- new version 1.1.93
- new version 1.1.92
- new version 1.1.91
- new version 1.1.90

* Fri Nov 20 2015 ovitters <ovitters> 1:1.0.8-1.mga6
+ Revision: 904520
- new version 1.0.8

* Thu Aug 27 2015 ovitters <ovitters> 1:1.0.6-1.mga6
+ Revision: 870234
- new version 1.0.6

* Mon May 11 2015 tmb <tmb> 1:1.0.2-2.mga5
+ Revision: 821744
- submit to release

* Thu May 07 2015 shlomif <shlomif> 1:1.0.2-1.mga5
+ Revision: 821403
- New version 1.0.2 (MGA#15682)

* Thu Feb 05 2015 ovitters <ovitters> 1:1.0.0-1.mga5
+ Revision: 813587
- new version 1.0.0
- fix source url

* Wed Oct 15 2014 umeabot <umeabot> 1:0.9.10.0-3.mga5
+ Revision: 740070
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.9.10.0-2.mga5
+ Revision: 682871
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 ovitters <ovitters> 1:0.9.10.0-1.mga5
+ Revision: 650815
- new version 0.9.10.0

* Fri Jul 04 2014 ovitters <ovitters> 1:0.9.8.4-4.mga5
+ Revision: 643127
- update url

* Sat Apr 05 2014 alexl <alexl> 1:0.9.8.4-3.mga5
+ Revision: 611963
- clean spec
- use pkgconfig()
- move unneeded Requires
- move *.la

* Sat Oct 19 2013 umeabot <umeabot> 1:0.9.8.4-2.mga4
+ Revision: 534669
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 ovitters <ovitters> 1:0.9.8.4-1.mga4
+ Revision: 478588
- new version 0.9.8.4

* Fri Jun 07 2013 ovitters <ovitters> 1:0.9.8.2-1.mga4
+ Revision: 440343
- new version 0.9.8.2

* Wed Feb 20 2013 ovitters <ovitters> 1:0.9.8.0-1.mga3
+ Revision: 399583
- new version 0.9.8.0
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 21 2012 guillomovitch <guillomovitch> 1:0.9.6.0-1.mga3
+ Revision: 282844
- disable warnings preventing the build
+ ovitters <ovitters>
- new version 0.9.6.0
- new version 0.9.5.95

* Sat Mar 24 2012 ovitters <ovitters> 1:0.9.4.0-1.mga2
+ Revision: 225995
- new version 0.9.4.0
- new version 0.9.3.995
- clean spec
+ mikala <mikala>
- Update tarball to 0.9.0
- use xz tarball

* Tue Jun 14 2011 mikala <mikala> 1:0.8.999-1.mga2
+ Revision: 106238
- Update tarball to 0.8.999
- Fix BuildRequires

* Thu Apr 21 2011 mikala <mikala> 1:0.8.4-1.mga1
+ Revision: 89454
- Update tarball to 0.8.4

* Thu Apr 14 2011 mikala <mikala> 1:0.8.3.999-1.mga1
+ Revision: 85269
- Update tarball

* Tue Mar 29 2011 mikala <mikala> 1:0.8.2-1.mga1
+ Revision: 78831
- imported package networkmanager-pptp

